> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zec/location/describezones.md).

# DescribeZones

## 1. 接口描述

本接口(DescribeZones)用于查询可用区信息。包括名称，所属的节点等。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称    | 必选 | 类型              | 描述         |
| ------- | -- | --------------- | ---------- |
| zoneIds | 否  | Array of String | 根据可用区ID过滤。 |

## 3. 响应结果

| 参数名称      | 类型                                                                   | 描述                                                       |
| --------- | -------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                               | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| zoneSet   | Array of [ZoneInfo](/api-reference/cn/zec/datastructure.md#zoneinfo) | 可用区列表。                                                   |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询可用区列表。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
  Content-Type: application/json
X-ZC-Action: DescribeZones
<Common Request Params>

Request:
{
  "zoneIds": [
    "sa-north-1a",
    "asia-east-1a"
  ]
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "zoneSet": [
      {
        "zoneId": "sa-north-1a",
        "zoneName": "sa-north-1a",
        "regionId": "sa-north-1",
        "supportSecurityGroup": true,
        "supportHaVip": false,
        "timeZone": "Europe/Istanbul",
        "cityName": "Bogota",
        "cityCode": "BOG",
        "countryCode": "CO",
        "countryName": "Colombia"
      },
      {
        "zoneId": "asia-east-1a",
        "zoneName": "asia-east-1a",
        "regionId": "asia-east-1",
        "supportSecurityGroup": true,
        "supportHaVip": true,
        "timeZone": "Asia/Shanghai",
        "cityName": "Shanghai",
        "cityCode": "SHA",
        "countryCode": "CN",
        "countryName": "China"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
